# Quality_Relabel

## 文件目录
```bash
Quality_Relabel                     主目录  
├── Data                            数据  
│   ├── BCG             
│   ├── BCG_label      
│   ├── ECG         
│   └── ECG_label      
├── history                         存放历史记录
│   └── history.log                 历史记录
├── utils                           基本库
│   ├── Preprocessing.py            BCG数据处理工具库
│   └── Prepare_Data.py             数据集加载与处理    
├── Main_Quality_Relabel.py         启动入口
└── README.md                       项目说明

```

## 测试数据集

670 [测试数据集](https://kod.server.marques22.com/#s/799gDeDw)





## 注意事项

![](graph/note.png)

## 程序流程框图

![流程框图](graph/Quality_Relabel.svg)

## TODO

2022-03-27 22:27

1. ~~完成启动入口(预计半天)~~
2. ~~完成参数说明(预计半天)~~
3. 导出PSG所有标签(额外的工作)
4. 迁移BCG标签，中文字符切换目前已经完成目前存在ubuntu，需要文件重命名(预计一小时)
5. ~~完成日志记录模块(预计半天)~~

